.share-credential {
  background: #ffffff url("/assets/blob-purple.svg") no-repeat;
  background-position-y: -2.5rem;
  background-position-x: -5rem;

  border: 1px dashed rgba(41, 69, 151, 0.88);
  box-shadow: 3px 5px 8px rgba(0, 0, 0, 0.06);
  border-radius: 4px;

  display: grid;
  grid-template-columns: 2rem repeat(5, 1fr) 2rem;
  grid-template-rows: 10rem 15rem auto;

  div:nth-child(1) {
    grid-column: 4/5;
    display: grid;
    align-items: center;
    justify-items: center;
    margin-top: 2.5rem;
  }

  div:nth-child(2) {
    grid-column: 3/6;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    color: #d9d9d9;
  }

  .spinner {
    grid-column: 4/5;
    --color: white;

    @media screen and (max-width: 500px) {
      --color: black;
    }

    display: flex;
    justify-content: center;
    align-items: center;

    ion-spinner {
      width: 7.5rem;
      height: 7.5rem;
    }
  }

  div:nth-child(3) {
    grid-column: 3/6;
    display: grid;
    align-items: center;
    justify-items: center;
    margin: 2rem 0 2rem 0;
    font-size: 1.6rem;
    color: #294597;
  }

  #sharing {
    grid-column: 3/6;
    align-items: start;
    justify-items: center;

    border: #0d0d0d 1px dotted;
    border-radius: 2.5rem;
    background: #ffffff;
    padding: 0 2rem;

    div {
      font-size: 1.3rem;
      color: #294597;
      justify-items: center;

      img {
        position: relative;
        top: 0;
        left: 0;
      }

      span {
        margin-left: 1rem;
        font-size: 1.3rem;
        justify-items: left;
        align-items: start;
      }
    }
  }

  div:not(:nth-child(1)):not(:nth-child(2)):not(:nth-child(3)) {
    grid-column: 2/7;
    margin-bottom: 1rem;
  }

  div:last-of-type {
    grid-column: 2/7;
    padding: 1.25rem 0;
    display: flex;
    justify-content: space-around;
  }

  .no-credentials {
    display: flex;
    justify-content: center;
    font-size: 1.6rem;
    line-height: 4.1rem;
  }
}

@media screen and (min-width: 650px) {
  .share-credential {
    grid-template-rows: 10rem 10rem 10rem auto;

    background: #ffffff url("/assets/blob-purple.svg") no-repeat;
    background-size: 100rem;

    div:nth-child(3) {
      color: white;
    }

    div#confirmation {
      span {
        #cancel {
          --background: #ffffff;
        }
      }
    }

    .no-credentials.empty {
      color: #ffffff;
    }
  }
}
